{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    {% if showListItemActionButtons == true %}
        <th class="mdc-data-table__header-cell" role="columnheader" scope="col"></th>
    {% endif %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Datum',
        'columnId': 'datum',
        'ariaLabelId': 'date',
        'ariaLabelName': 'Date'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Bezug',
        'columnId': 'bezug',
        'ariaLabelId': 'reference',
        'ariaLabelName': 'Reference'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': false,
        'label': 'Name/Bezeichnung'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': false,
        'label': 'Benachrichtigung'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': false,
        'label': 'Nachricht'
    } only %}
{% endblock %}

{% block tableContent %}
    {% set isNotRead = listItem.isBeenRead() ? '' : 'unread' %}
    {% if showListItemActionButtons == true %}
        <td class="mdc-data-table__cell">
            {% if listItem.isBeenRead() == true %}
                <a title="als ungelesen markieren" href="{{ path('notification_unread', {'notificationId': listItem.getId()}) }}" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary me-2">
                    <div class="mdc-icon-button__ripple"></div>
                    mark_chat_unread
                </a>
            {% else %}
                <a title="als gelesen markieren" href="{{ path('notification_had_read', {'notificationId': listItem.getId()}) }}" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary me-2">
                    <div class="mdc-icon-button__ripple"></div>
                    mark_chat_read
                </a>
            {% endif %}
            <a title="Benachrichtigung löschen" href="{{ path('notification_delete', {'notificationId': listItem.getId()}) }}" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-danger">
                <div class="mdc-icon-button__ripple"></div>
                delete
            </a>
            <a title="zum {{ listItem.getMessage().getRelatedObjectName() }}" href="{{ path(listItem.getMessage().getRouteName(), listItem.getMessage().getRouteParameters()) }}" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary me-2">
                <div class="mdc-icon-button__ripple"></div>
                link
            </a>
        </td>
    {% endif %}
    <td class="mdc-data-table__cell {{ isNotRead }}">{{ listItem.getCreatedAt().format('d.m.Y') }}</td>
    <td class="mdc-data-table__cell {{ isNotRead }}">{{ listItem.getMessage().getRelatedObjectName() }}</td>
    <td class="mdc-data-table__cell {{ isNotRead }}">{{ listItem.getMessage().getObjectDescription() }}</td>
    <td class="mdc-data-table__cell {{ isNotRead }}">{{ listItem.getNotificationType().getName() }}</td>
    <td class="mdc-data-table__cell" style="white-space: break-spaces;">{{ listItem.getMessage().getMessage() }}</td>
{% endblock %}
